/* ayyi_hscale.h generated by valac, the Vala compiler, do not modify */


#ifndef __AYYI_HSCALE_H__
#define __AYYI_HSCALE_H__

#include <glib.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS


#define AYYI_TYPE_HSCALE (ayyi_hscale_get_type ())
#define AYYI_HSCALE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), AYYI_TYPE_HSCALE, AyyiHScale))
#define AYYI_HSCALE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), AYYI_TYPE_HSCALE, AyyiHScaleClass))
#define AYYI_IS_HSCALE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), AYYI_TYPE_HSCALE))
#define AYYI_IS_HSCALE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), AYYI_TYPE_HSCALE))
#define AYYI_HSCALE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), AYYI_TYPE_HSCALE, AyyiHScaleClass))

typedef struct _AyyiHScale AyyiHScale;
typedef struct _AyyiHScaleClass AyyiHScaleClass;
typedef struct _AyyiHScalePrivate AyyiHScalePrivate;

struct _AyyiHScale {
	GtkHScale parent_instance;
	AyyiHScalePrivate * priv;
};

struct _AyyiHScaleClass {
	GtkHScaleClass parent_class;
};


GType ayyi_hscale_get_type (void) G_GNUC_CONST;
AyyiHScale* ayyi_hscale_new (GtkAdjustment* adj);
AyyiHScale* ayyi_hscale_construct (GType object_type, GtkAdjustment* adj);


G_END_DECLS

#endif
